Bug 1581359 - [upgrade] Upgrading RHEL69 python-rhsm-debuginfo packages to the latest RHEL6.10 fails with Error
Summary: [upgrade] Upgrading RHEL69 python-rhsm-debuginfo packages to the latest RHEL6...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.10
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
Lenka Špačková
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-22 14:59 UTC by Rehana
Modified: 2019-07-03 14:14 UTC (History)
4 users (show)

(edit)
_python-rhsm-debuginfo_ installed causes an upgrade failure

When the user tries to upgrade to RHEL 6.10 while having the _python-rhsm-debuginfo_ package installed, a transaction check error occurs due to a conflict with the _subscription-manager-debuginfo_ package. As a consequence, the system upgrade fails, as well as an attempt to install or update _subscription-manager-debuginfo_. To work around this problem, uninstall the conflicting package by running "yum remove python-rhsm-debuginfo" before upgrading the system or before installing or updating _subscription-manager-debuginfo_.
Clone Of:
(edit)
Last Closed: 2019-07-03 12:28:05 UTC


Attachments (Terms of Use)

Description Rehana 2018-05-22 14:59:32 UTC
Description of problem:
During TPS failure troubleshooting, It came to our notice that one of the RHEL6.9 python-rhsm-debuginfo package is failing to get upgraded.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.On RHEL 69 machine, add RHEL610 debugrepos and perform upgrade
2.
3.

Actual results:
[root@hp-dl380pgen8-02-vm-13 yum.repos.d]# yum update python-rhsm* subscription-manager*
Loaded plugins: product-id, search-disabled-repos, security, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package python-rhsm-debuginfo.x86_64 0:1.18.6-1.el6 will be updated
---> Package python-rhsm-debuginfo.x86_64 0:1.18.7-1.el6_9 will be an update
---> Package subscription-manager-debuginfo.x86_64 0:1.18.10-1.el6 will be updated
---> Package subscription-manager-debuginfo.x86_64 0:1.20.10-7.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================================================================================================================================
 Package                                                           Arch                                      Version                                           Repository                                     Size
===================================================================================================================================================================================================================
Updating:
 python-rhsm-debuginfo                                             x86_64                                    1.18.7-1.el6_9                                    rhel-debug                                     54 k
 subscription-manager-debuginfo                                    x86_64                                    1.20.10-7.el6                                     rhel-debug                                    242 k

Transaction Summary
===================================================================================================================================================================================================================
Upgrade       2 Package(s)

Total download size: 297 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): python-rhsm-debuginfo-1.18.7-1.el6_9.x86_64.rpm                                                                                                                                      |  54 kB     00:00     
(2/2): subscription-manager-debuginfo-1.20.10-7.el6.x86_64.rpm                                                                                                                              | 242 kB     00:01     
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                               64 kB/s | 297 kB     00:04     
Running rpm_check_debug
Running Transaction Test


Transaction Check Error:
  file /usr/lib/debug/usr/lib64/python2.6/site-packages/rhsm/_certificate.so.debug conflicts between attempted installs of python-rhsm-debuginfo-1.18.7-1.el6_9.x86_64 and subscription-manager-debuginfo-1.20.10-7.el6.x86_64

Error Summary
-------------


Expected results:
No errors, upgrade should be completed.

Additional info:
[root@hp-dl380pgen8-02-vm-13 yum.repos.d]# cat rhel-debug.repo 
[rhel-debug]
name=rhel-debug
baseurl=http://download.eng.pek2.redhat.com/rel-eng/RHEL-6.10-Snapshot-3.0/6.10/Server/x86_64/debug/
enabled=1
gpgcheck=0
skip_if_unavailable=1

Comment 2 Kevin Howell 2018-05-24 14:11:50 UTC
Given workaround is fairly straightforward:
 yum remove python-rhsm-debuginfo
 yum install subscription-manager-debuginfo # (or yum update as appropriate)

we're prioritizing as medium.


Note You need to log in before you can comment on or make changes to this bug.